
Redmine - Feature #1462

Access control to trackers by user roles/profiles

2008-06-16 10:23 - Andrés Escudero Apesteguía

Status: Closed Start date: 2008-06-16

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues permissions Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

This request works in conjuction with user's profile: there are roles inside a project, but Redmine should support global profile, more

than one per user. So, each profile would get applications rights such as project creation, client creation, etc.

Moreover, Redmine Admninistrator could define tracker's fields to be read-only, writable or whatever, based on user profile/role.

Related issues:

Related to Redmine - Feature #285: Tracker role-based permissioning Closed

Related to Redmine - Feature #7839: Limit trackers for new issue to certain r... Closed 2011-03-11

Has duplicate Redmine - Feature #1544: Setting permissions for viewing trackers Closed 2008-06-28

History

#1 - 2009-02-27 16:09 - Jean-Philippe Lang

- Category set to Issues permissions

#2 - 2013-11-30 08:41 - Toshi MARUYAMA

- Related to Feature #7839: Limit trackers for new issue to certain roles added

#3 - 2024-02-26 22:13 - Holger Just

- Status changed from New to Closed

- Resolution set to Duplicate

You can grant users the ability to

create projects (if they have a role granting this permission in any project)

create sub-projects (if they have the permission in the parent project)

Users can self-register if this is enabled by admins.

As for the tracker specific permissions, this was added in #7839. Your request for "global roles" is a duplicate of #4427 (or one of its related issues)
